Magick++: Magick::Geometry Class Reference

Magick++ 6.9.6

Public Member Functions | List of all members
Magick::Geometry Class Reference

`#include <Geometry.h>`

## Public Member Functions
| Geometry ()
| Geometry (const char *geometry_)
| Geometry (const Geometry &geometry_)
| Geometry (const std::string &geometry_)
| Geometry (size_t width_, size_t height_,::ssize_t xOff_=0,::ssize_t yOff_=0, bool xNegative_=false, bool yNegative_=false)
| ~Geometry (void)
const Geometry & | operator= (const char *geometry_)
Geometry & | operator= (const Geometry &Geometry_)
const Geometry & | operator= (const std::string &geometry_)
| operator std::string () const
void | aspect (bool aspect_)
bool | aspect (void) const
void | fillArea (bool fillArea_)
bool | fillArea (void) const
void | greater (bool greater_)
bool | greater (void) const
void | height (size_t height_)
size_t | height (void) const
void | isValid (bool isValid_)
bool | isValid (void) const
void | less (bool less_)
bool | less (void) const
void | limitPixels (bool limitPixels_)
bool | limitPixels (void) const
void | percent (bool percent_)
bool | percent (void) const
void | width (size_t width_)
size_t | width (void) const
void | xNegative (bool xNegative_)
bool | xNegative (void) const
void | xOff (::ssize_t xOff_)
::ssize_t | xOff (void) const
void | yNegative (bool yNegative_)
bool | yNegative (void) const
void | yOff (::ssize_t yOff_)
::ssize_t | yOff (void) const
| Geometry (const MagickCore::RectangleInfo &rectangle_)
const Geometry & | operator= (const MagickCore::RectangleInfo &rectangle_)
| operator MagickCore::RectangleInfo () const

## Detailed Description

Definition at line 35 of file Geometry.h.

## Constructor & Destructor Documentation

Magick::Geometry::Geometry | ( | void |  | ) |

Definition at line 72 of file Geometry.cpp.

Magick::Geometry::Geometry | ( | const char * | geometry_ | ) |

Definition at line 89 of file Geometry.cpp.

Magick::Geometry::Geometry | ( | const Geometry & | geometry_ | ) |

Definition at line 107 of file Geometry.cpp.

Magick::Geometry::Geometry | ( | const std::string & | geometry_ | ) |

Definition at line 124 of file Geometry.cpp.

Magick::Geometry::Geometry | ( | size_t | width_,
|  | size_t | height_,
|  | ::ssize_t | xOff_ = `0`,
|  | ::ssize_t | yOff_ = `0`,
|  | bool | xNegative_ = `false`,
|  | bool | yNegative_ = `false`
| ) |  |

Magick::Geometry::~Geometry | ( | void |  | ) |

Definition at line 160 of file Geometry.cpp.

Magick::Geometry::Geometry | ( | const MagickCore::RectangleInfo & | rectangle_ | ) |

Definition at line 350 of file Geometry.cpp.

## Member Function Documentation

void Magick::Geometry::aspect | ( | bool | aspect_ | ) |
| inline

Definition at line 213 of file Geometry.h.

Referenced by Magick::operator==().

bool Magick::Geometry::aspect | ( | void |  | ) | const
| inline

Definition at line 218 of file Geometry.h.

void Magick::Geometry::fillArea | ( | bool | fillArea_ | ) |
| inline

Definition at line 223 of file Geometry.h.

Referenced by Magick::operator==().

bool Magick::Geometry::fillArea | ( | void |  | ) | const
| inline

Definition at line 228 of file Geometry.h.

void Magick::Geometry::greater | ( | bool | greater_ | ) |
| inline

Definition at line 233 of file Geometry.h.

Referenced by Magick::operator==().

bool Magick::Geometry::greater | ( | void |  | ) | const
| inline

Definition at line 238 of file Geometry.h.

void Magick::Geometry::height | ( | size_t | height_ | ) |
| inline

Definition at line 243 of file Geometry.h.

Referenced by Magick::Image::annotate(), Magick::Image::density(), Magick::Image::extent(), Magick::Image::frame(), Magick::Image::Image(), main(), Magick::operator<(), Magick::operator==(), and Magick::Image::size().

size_t Magick::Geometry::height | ( | void |  | ) | const
| inline

Definition at line 248 of file Geometry.h.

void Magick::Geometry::isValid | ( | bool | isValid_ | ) |
| inline

Definition at line 253 of file Geometry.h.

Referenced by Magick::Image::annotate(), Magick::Options::density(), Magick::Image::density(), Magick::ReadOptions::density(), main(), Magick::operator==(), Magick::Options::page(), Magick::Options::size(), and Magick::ReadOptions::size().

bool Magick::Geometry::isValid | ( | void |  | ) | const
| inline

Definition at line 258 of file Geometry.h.

void Magick::Geometry::less | ( | bool | less_ | ) |
| inline

Definition at line 263 of file Geometry.h.

Referenced by Magick::operator==().

bool Magick::Geometry::less | ( | void |  | ) | const
| inline

Definition at line 268 of file Geometry.h.

void Magick::Geometry::limitPixels | ( | bool | limitPixels_ | ) |
| inline

Definition at line 273 of file Geometry.h.

Referenced by Magick::operator==().

bool Magick::Geometry::limitPixels | ( | void |  | ) | const
| inline

Definition at line 278 of file Geometry.h.

Magick::Geometry::operator MagickCore::RectangleInfo | ( |  | ) | const

Definition at line 380 of file Geometry.cpp.

References width().

Magick::Geometry::operator std::string | ( |  | ) | const

Definition at line 286 of file Geometry.cpp.

References Magick::throwExceptionExplicit().

const Magick::Geometry & Magick::Geometry::operator= | ( | const char * | geometry_ | ) |

Definition at line 164 of file Geometry.cpp.

Magick::Geometry & Magick::Geometry::operator= | ( | const Geometry & | Geometry_ | ) |

Definition at line 170 of file Geometry.cpp.

const Magick::Geometry & Magick::Geometry::operator= | ( | const std::string & | geometry_ | ) |

Definition at line 192 of file Geometry.cpp.

References Magick::Geometry.

const Magick::Geometry & Magick::Geometry::operator= | ( | const MagickCore::RectangleInfo & | rectangle_ | ) |

Definition at line 367 of file Geometry.cpp.

void Magick::Geometry::percent | ( | bool | percent_ | ) |
| inline

Definition at line 289 of file Geometry.h.

Referenced by Magick::operator==().

bool Magick::Geometry::percent | ( | void |  | ) | const
| inline

Definition at line 294 of file Geometry.h.

void Magick::Geometry::width | ( | size_t | width_ | ) |
| inline

Definition at line 283 of file Geometry.h.

Referenced by Magick::Image::annotate(), Magick::Image::density(), Magick::Image::extent(), Magick::Image::frame(), Magick::Image::Image(), main(), operator MagickCore::RectangleInfo(), Magick::operator<(), Magick::operator==(), and Magick::Image::size().

size_t Magick::Geometry::width | ( | void |  | ) | const
| inline

Definition at line 299 of file Geometry.h.

void Magick::Geometry::xNegative | ( | bool | xNegative_ | ) |
| inline

Definition at line 304 of file Geometry.h.

Referenced by Magick::operator==(), and Magick::Image::roll().

bool Magick::Geometry::xNegative | ( | void |  | ) | const
| inline

Definition at line 309 of file Geometry.h.

void Magick::Geometry::xOff | ( | ::ssize_t | xOff_ | ) |
| inline

Definition at line 314 of file Geometry.h.

Referenced by Magick::Image::annotate(), Magick::Image::composite(), Magick::Image::extent(), Magick::Image::floodFillColor(), Magick::Image::floodFillTexture(), Magick::Image::frame(), Magick::operator==(), and Magick::Image::roll().

ssize_t Magick::Geometry::xOff | ( | void |  | ) | const
| inline

Definition at line 319 of file Geometry.h.

void Magick::Geometry::yNegative | ( | bool | yNegative_ | ) |
| inline

Definition at line 324 of file Geometry.h.

Referenced by Magick::operator==(), and Magick::Image::roll().

bool Magick::Geometry::yNegative | ( | void |  | ) | const
| inline

Definition at line 329 of file Geometry.h.

void Magick::Geometry::yOff | ( | ::ssize_t | yOff_ | ) |
| inline

Definition at line 334 of file Geometry.h.

Referenced by Magick::Image::annotate(), Magick::Image::composite(), Magick::Image::extent(), Magick::Image::floodFillColor(), Magick::Image::floodFillTexture(), Magick::Image::frame(), Magick::operator==(), and Magick::Image::roll().

ssize_t Magick::Geometry::yOff | ( | void |  | ) | const
| inline

Definition at line 339 of file Geometry.h.

The documentation for this class was generated from the following files:

- Geometry.h
- Geometry.cpp